Debian Bug report logs - #698081
ITA: texi2html -- Convert Texinfo files to HTML

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Francesco Cecconi <francesco.cecconi@gmail.com>

Date: Sun, 13 Jan 2013 22:21:01 UTC

Owned by: Ryan Kavanagh <rak@debian.org>

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698081; Package wnpp. (Sun, 13 Jan 2013 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francesco Cecconi <francesco.cecconi@gmail.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sun, 13 Jan 2013 22:21:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Francesco Cecconi <francesco.cecconi@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: texi2html -- Convert Texinfo files to HTML
Date: Sun, 13 Jan 2013 23:18:37 +0100
Package: wnpp
Severity: normal

I intend to orphan the texi2html package, because I have not more
spare time and do not use this package anymore.

Important info:
* New package version (5.0) on mentors.debian.net but with
  GFDL bug to fix. (#698073)

* sponsorship-requests: #661831

The package description is:
 texi2html is a Perl script that converts Texinfo files to HTML.
 .
 The program takes Texinfo files (not info ones) and produces a set of
 HTML files.  The quality of the output is close to the printed output
 and is much better than an info->HTML gateway.
 .
 Compared to the output of `makeinfo --html', texi2html's output is
 more customizable and (subjectively) produces better output by default.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698081; Package wnpp. (Sun, 26 May 2013 16:51:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Kavanagh <rak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 26 May 2013 16:51:13 GMT) Full text and rfc822 format available.

Message #10 received at 698081@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <rak@debian.org>
To: 698081@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#698081: O: texi2html -- Convert Texinfo files to HTML
Date: Sun, 26 May 2013 12:47:41 -0400
[Message part 1 (text/plain, inline)]
retitle 698081 ITA: texi2html -- Convert Texinfo files to HTML
thanks

Since some of my packages build-depend on texi2html and it has been
without a maintainer for over four months, I intend to adopt it.

Best wishes,
Ryan

-- 
|_)|_/	Ryan Kavanagh		| Debian Developer
| \| \	http://ryanak.ca/	| GPG Key 4A11C97A
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITA: texi2html -- Convert Texinfo files to HTML' from 'O: texi2html -- Convert Texinfo files to HTML' Request was from Ryan Kavanagh <rak@debian.org> to control@bugs.debian.org. (Sun, 26 May 2013 16:51:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698081; Package wnpp. (Mon, 27 May 2013 01:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Kavanagh <rak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 27 May 2013 01:15:04 GMT) Full text and rfc822 format available.

Message #17 received at 698081@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <rak@debian.org>
To: 698081@bugs.debian.org
Subject: Re: Bug#698081: O: texi2html -- Convert Texinfo files to HTML
Date: Sun, 26 May 2013 21:11:30 -0400
[Message part 1 (text/plain, inline)]
On Sun, May 26, 2013 at 12:47:41PM -0400, Ryan Kavanagh wrote:
> Since some of my packages build-depend on texi2html and it has been
> without a maintainer for over four months, I intend to adopt it.

An upload is blocking due to the unpatched texi2html version 5.0 (as
well as with Debian's patches) failing its testsuite.
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Ryan Kavanagh <rak@debian.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 27 May 2013 05:45:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ryan Kavanagh <rak@debian.org>:
Bug#698081; Package wnpp. (Sun, 16 Feb 2014 10:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ryan Kavanagh <rak@debian.org>. (Sun, 16 Feb 2014 10:57:04 GMT) Full text and rfc822 format available.

Message #24 received at 698081@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Ryan Kavanagh <rak@debian.org>
Cc: 698081@bugs.debian.org
Subject: Any news on your texi2html ITA
Date: Sun, 16 Feb 2014 12:54:12 +0200
Hi Ryan,

are there any news regarding your texi2html ITA?

If packaging 5.0 still is problematic, it would be helpful if you could 
make an upload of 1.82 that changes the maintainer to you.

Thanks
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#698081; Package wnpp. (Mon, 17 Feb 2014 00:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ryan Kavanagh <rak@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 17 Feb 2014 00:15:05 GMT) Full text and rfc822 format available.

Message #29 received at 698081@bugs.debian.org (full text, mbox):

From: Ryan Kavanagh <rak@debian.org>
To: 698081@bugs.debian.org, Adrian Bunk <bunk@stusta.de>
Subject: Re: Bug#698081: O: texi2html -- Convert Texinfo files to HTML
Date: Sun, 16 Feb 2014 19:10:04 -0500
Hi Adrian,

On Sun, Feb 16, 2014 at 12:54:12PM +0200, Adrian Bunk wrote:
> are there any news regarding your texi2html ITA?
> 
> If packaging 5.0 still is problematic [...]

texi2html 5.0 will never make it to the archive. texi2html is obsolete
(it has been superseded by makeinfo) and I hope to have it removed from
the archive in the near future. Please see this debian-devel thread for
more details:
https://lists.debian.org/debian-devel/2013/05/msg01516.html

If you're interested in helping out, you're welcome to submit patches to
packages still using texi2html; you can find a list of these here (just
search for "texi2html"):
http://lintian.debian.org/tags/build-depends-on-obsolete-package.html

Best wishes,
Ryan

-- 
|_)|_/	Ryan Kavanagh		| Debian Developer
| \| \	http://ryanak.ca/	| GPG Key 4A11C97A



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Ryan Kavanagh <rak@debian.org>:
Bug#698081; Package wnpp. (Mon, 17 Feb 2014 06:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adrian Bunk <bunk@stusta.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Ryan Kavanagh <rak@debian.org>. (Mon, 17 Feb 2014 06:57:04 GMT) Full text and rfc822 format available.

Message #34 received at 698081@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@stusta.de>
To: Ryan Kavanagh <rak@debian.org>
Cc: 698081@bugs.debian.org
Subject: Re: Bug#698081: O: texi2html -- Convert Texinfo files to HTML
Date: Mon, 17 Feb 2014 08:53:05 +0200
On Sun, Feb 16, 2014 at 07:10:04PM -0500, Ryan Kavanagh wrote:
> Hi Adrian,
> 
> On Sun, Feb 16, 2014 at 12:54:12PM +0200, Adrian Bunk wrote:
> > are there any news regarding your texi2html ITA?
> > 
> > If packaging 5.0 still is problematic [...]
> 
> texi2html 5.0 will never make it to the archive. texi2html is obsolete
> (it has been superseded by makeinfo) and I hope to have it removed from
> the archive in the near future. Please see this debian-devel thread for
> more details:
> https://lists.debian.org/debian-devel/2013/05/msg01516.html
> 
> If you're interested in helping out, you're welcome to submit patches to
> packages still using texi2html; you can find a list of these here (just
> search for "texi2html"):
> http://lintian.debian.org/tags/build-depends-on-obsolete-package.html

I am going through WNPP bugs, and my main interest is whether or not you 
are adopting texi2html.

Whether 5.0 ever gets uploaded is not important for me.

Whether texi2html gets removed at some later point is not important
for me (assuming the build dependencies are fixed at that point).

> Best wishes,
> Ryan

cu
Adrian

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:56:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.